SparrowDesk
Conversation reply imports

Bulk import conversation replies

Backdated, no notifications/workflows/SLA. Returns a job id to poll. [requires "edit all tickets" scope]

POST
/imports/conversations/{id}/replies/create_many
AuthorizationBearer <token>

In: header

Path Parameters

idstring

The SparrowDesk conversation id

Header Parameters

x-import-source?string

Optional label identifying the system the replies were imported from

replies

Historical replies to import, oldest first

Items1 <= items

Response Body

application/json

curl -X POST "https://app.sparrowdesk.com/v1/imports/conversations/string/replies/create_many" \  -H "Content-Type: application/json" \  -d '{    "replies": [      {        "author_type": "agent",        "html_body": "string",        "created_at": "2019-08-24T14:15:22Z"      }    ]  }'
{
  "data": {
    "jobId": "string"
  }
}
Empty
Empty